<div class="container alarm">
<h1>Alarm Clock:</h1>
<span class="help-block">The alarm will take 10 minutes to reach the MAX End Volume</span>

<form action="/alarm/" method="post">
<ul>
	<p>Wake-up time:<input class="form-control" name="alarmtime" type="time" autofocus></p>
	<p>Webradio to play:<input class="form-control" list="playlist" name="playlist" method="get"> 
	<datalist id="playlist">
		<?php
			// Create the alarm script:
			shell_exec("> /var/www/alarmscript.sh");
			$a = fopen("/var/www/alarmscript.sh", "w");
			fwrite($a, "cd /var/www/\n");
			fwrite($a, "rm playlist.ls\n");
			fwrite($a, "mpc ls Webradio > alarm.out\n");
			fwrite($a, "sed -i 's/Webradio\///' alarm.out\n");
			fwrite($a, "while read line\n");
			fwrite($a, "do\n");
			fwrite($a, ' echo "<option value=\"$line\">" >> playlist.ls');
			fwrite($a, "\ndone < alarm.out\n");
			fwrite($a, "rm /var/www/alarm.out\n");
			shell_exec('chmod 777 /var/www/alarmscript.sh');
			fclose($a);

			shell_exec('/var/www/alarmscript.sh');
			echo file_get_contents("/var/www/playlist.ls");
		?>
	</datalist></p>
	<p>Monday-Friday </p>
        <label class="switch-light well" onclick="">
 		<input name="day" id="day"type="checkbox" value="1-5" onclick="javascript:document.getElementById('days').checked = false;javascript:document.getElementById('day').checked = true;" checked>
                   <span><span>OFF</span><span>ON</span></span><a class="btn btn-primary"></a>
        </label>

	<p>Monday-Sunday </p>
        <label class="switch-light well" onclick="">
        	<input name="days" id="days" type="checkbox" value="1-7" onclick="javascript:document.getElementById('day').checked = false;javascript:document.getElementById('days').checked = true;">
                   <span><span>OFF</span><span>ON</span></span><a class="btn btn-primary"></a>
        </label>
        <span class="help-block">Toggle Mon/Fri or Mon/Sun ON/OFF</span>

	<p>MAX End Volume:<input class="form-control" id="endvol" name="endvol" type="number" min="0" max="100" value="30"</p>
	<p><button type="submit" class="btn btn-primary btn-lg" name="submit" value="save">set alarm</button> 
		or <button type="submit" class="btn btn-primary btn-lg" name="reset" value="reset">reset alarm</button></p>
	<span class="help-block">NOTE: If your alarm does not start check/start your crontab: "systemctl start/enable cronie"</span>

<!--- Read Crontab File: --->
<?php
	$min = exec("/usr/bin/cat /var/spool/cron/http |  cut -d \  -f 1");
	$hour = exec("/usr/bin/cat /var/spool/cron/http | cut -d \  -f 2");
	$day = exec("/usr/bin/cat /var/spool/cron/http | cut -d \  -f 5");
	$play = exec("/usr/bin/cat /var/spool/cron/http | cut -d / -f 11 | cut -d . -f 1");

	echo '<table border="1">';
		echo "<tr>";
			echo '<td colspan="2">Current Alarm </td>';
		echo "</tr>";
		echo "<tr>";
			if (!empty($min)){
				echo "<td>Time:</td><td> $hour:$min </td>";
			} else{
				echo "<td>Time:</td><td> (not set) </td>";
			}
		echo "</tr>";
		echo "<tr>";
			if (!empty($day)){
				echo "<td>Days </td><td>$day</td>";
			} else{
				echo "<td>Days </td><td> (not set) </td>";
			}
		echo "</tr>";
		echo "<tr>";
			if (!empty($play)){
				echo "<td>Current Web Radio </td><td>$play</td>";
			} else{
				echo "<td>Current Web Radio </td><td> (not set) </td>";
			}
		echo "</tr>";
	echo "</table>";
	
?>
<!--- Read File END --->

</ul>
</form>
</div>

<?php
// Open Text file:
$file = fopen("/var/www/cron.sh", "w");
$alarmtimestr = isset($_POST["alarmtime"]) ? $_POST['alarmtime'] : '';;
$daystr = isset($_POST["day"]) ? $_POST['day'] : '';;
$daysstr = isset($_POST["days"]) ? $_POST['days'] : '';;
$playliststr = isset($_POST["playlist"]) ? $_POST['playlist'] : '';;
$endvolstr = isset($_POST["endvol"]) ? $_POST['endvol'] : '';;

//Set Cron:
if (isset($_POST['submit'])){
	if (!empty($alarmtimestr)){
		if (!empty($playliststr)){
			//calculating cron start strings:
			fwrite($file, "endTime=`date -d \"01 Jan 2015 $alarmtimestr\" +%s` \n");
			fwrite($file, "startTime=$((\$endTime-1800)) \n");
			fwrite($file, "start=`perl -e 'print scalar localtime \$ARGV[0]' \$startTime` \n");
			fwrite($file, "startHR=`echo \$start | cut -d \  -f 4 | cut -d : -f 2 | tr : \   `\n");
			fwrite($file, "startMIN=`echo \$start | cut -d \  -f 4 | cut -d : -f 1 | tr : \   `\n");
			fwrite($file, "echo -n \$startHR \$startMIN");
			fclose($file);
		
			shell_exec('/usr/bin/chmod 777 /var/www/cron.sh');
			$time=shell_exec('/var/www/cron.sh');
			$cron = fopen("/var/www/newcron", "w");
				fwrite($cron, "$time * * $daystr$daysstr /usr/bin/mpc clear && /usr/bin/mpc volume 0 && /usr/bin/mpc load \"Webradio/$playliststr\" && /usr/bin/mpc play && /var/www/mpc_fade 0 $endvolstr 600\n");
			fclose($cron);
			
			shell_exec('/usr/bin/crontab /var/www/newcron');
			shell_exec('/usr/bin/rm -f /var/www/alarmscript.sh /var/www/alarm.sh /var/www/newcron');
			header("refresh:0");
		}
	}
}

// if((isset($_POST['submit'])) && (!isset($_POST['alarmtime'])) {
	// echo "<script type='text/javascript'>alert('failed!')</script>";
// }


//Clear Cron:
if(isset($_POST['reset'])) {
	shell_exec('/usr/bin/crontab -r');
	header("refresh:0");
}
	
?>

</div>
